#include <iostream>
using namespace std;
int main(){
	int x,n,t=0;
	cin>>n>>x;
	int a[n];
	for(int i=0;i<n;i++)
		cin>>a[i];
    int mini=a[0],maxi=a[0];
	for(int i=0;i<n;i++){
		if(mini>a[i])
			mini=a[i];
		if(maxi<a[i])
			maxi=a[i];
	}
	if(x<mini)
		cout<<maxi-x;
	else if(maxi<x)
		cout<<x-mini;
	else{
		if(maxi-x<x-mini)
			cout<<2*maxi-x-mini;
		else
			cout<<x+maxi-2*mini;
	}
	}